Subject: Re: windres and an icon in a dialog
From: Sascha Ziemann <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: [email-masked]
Date: 10 Jan 2000 23:29:35 +0100

Mumit Khan <[email-masked]>:

| I'll fix the incompatibility for the next release, but till then, you
| can do the following (works for MS compiler as well):
| 
|  ICON "ABOUT1", IDC_STATIC, 7, 7, 21, 20, 0
| 
| where the last 0 just "or"s 0 to the list of current styles. FYI, this
| is equivalent to:
| 
|  ICON "ABOUT1", IDC_STATIC, 7, 7, 21, 20, SS_ICON | WS_CHILD | WS_VISIBLE

Thank you.  Now windres compiles the resource file.  But the program
still does not work: the dialog does not contain any icon.  When I try
to open the executable created by gcc with a Windows icon editor
(AX-Icons 4.5) the program says, that my executable does not contain
any icons.  

I have defined the icon:

ABOUT1 ICON DISCARDABLE "icon5.ico"

And then I use it:

ABOUT_WINDOW DIALOG DISCARDABLE 32, 32, 180, 100
STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION
FONT 8, "MS Sans Serif"
BEGIN
  DEFPUSHBUTTON  "Ok", IDOK, 66, 80, 50, 14
  ICON           "ABOUT1", IDC_STATIC, 7, 7, 32, 32, 0
  CTEXT          "text one", IDC_STATIC, 40, 12, 100, 8
  CTEXT          "text two", IDC_STATIC, 7, 52, 166, 8
END

But it is missing in the dialog.  The strings and the button are there
and windres does not report any errors.

Is the anything missing, that should have be done?

Sascha

--
Want to unsubscribe from this list?
Send a message to [email-masked]